The tag has no wiki summary.

learn more… | top users | synonyms

0
votes
0answers
38 views

Installing node-inspector

I have centos and I tried to install node inspector via npm install -g node-inspector But I get below error , node-pre-gyp http Pre-built binary not available for your system, looked for ...
0
votes
0answers
32 views

Openshift not installing node modules

I have a production pipeline of local code pushed via git to Wercker (a continuous delivery platform) and then is forwarded to openshift for production. Both steps, the local build and the deployment ...
0
votes
1answer
28 views

Bad output for “npm ls”

How can I fix this ugly output for "npm ls"? http://i.stack.imgur.com/d3j8H.png Sorry, my reputation is not enough to upload image. Debian Wheezy / node v0.10.36 / npm 2.4.1 UPDATE: «*» - is an ...
1
vote
2answers
142 views

unable to install npm on the AWS RHEL7 AMI because of c-ares-devel dependency

I've added the EPEL repository and attempted to install npm (since it is not included in the standard repos), but get the following error: Error: Package: nodejs-devel-0.10.33-1.el7.x86_64 (epel) ...
1
vote
0answers
179 views

Etherpad-Lite - Something bad happened

I installed etherpad-lite on Debian 7 - I also configured NPM and Node.js, but if I try to open etherpad, I'm getting this error: { "error": "Sorry, something bad happened!" } On the console ...
2
votes
0answers
183 views

400 bad request from a proxy cache

So we have an nginx proxy cache that is used to maintain uptime even if npm goes down. On occasion this server (noticeably once every few months) starts returning 400 bad request for every response ...
3
votes
2answers
643 views

npm install generator-webapp fail

I have cleaned my run npm remove ... and npm -g remove ... to remove everything related to npm. But I still got below error when I try npm install generator-webapp npm ERR! peerinvalid The package yo ...
1
vote
1answer
372 views

Cant use npm as provider with puppet

I am attempting to do the following in puppet: package { 'bower': ensure => present, provider => 'npm', require => Class['nodejs'], before => [ Exec['npm_install'], ...
1
vote
1answer
434 views

How to install nodejs and npm packages with salt on debian

I'm struggling to install a recent nodejs version and npm packages using salt on debian. Here is my salt state: nodejs-deps: pkg.installed: - names: - g++ - curl - libssl-dev ...
0
votes
1answer
766 views

Issues installing Grunt in Vagrant environment

I am attempting to install node.js, npm and Grunt.js in an Ubuntu Trusty 64bit Vagrant environment and running into some issues. Here is my puppet manifest: init.pp -- class grunt::install { ...
4
votes
1answer
361 views

Installing and configure docular

I'm trying to install and configure doculare package on node.js platform. I have started from the official documentation website grunt-docular.com. After hundreds of tries, there was a problem in ...
0
votes
1answer
410 views

npm install failing at gyp rebuild on ubuntu server 12.04.5

Hi [first serverfault q so hope this isn't too dumb a question] I've got a setup on a Ubuntu 12.04.5 server that is just for deploying meteor js applications. Previously my deploy pattern worked but ...
0
votes
1answer
92 views

Which combination of global/local sudo/notsudo for which node.js npm install package?

I'd like to install packages like these on MacOSX, but interested in Windows or Linux versions too: npm install express npm install swig npm install mongodb npm install consolidate npm install ...
3
votes
5answers
9k views

Centos 7 Can't yum install npm

I'm trying to get nodejs and npm installed on centos 7 So first I did rpm -i http://dl.fedoraproject.org/pub/epel/beta/7/x86_64/epel-release-7-0.2.noarch.rpm to get the epel repository Then I ...
3
votes
1answer
1k views

Using npm install as a MS-Windows system account

I have a node application running on Windows, which I want to be able to update automatically. When I run npm install -d as the Administrator account - it works fine, but when I try to run it through ...
0
votes
0answers
30 views

apt/maven/npm checksum failure on amazon ec2

I'm recently encountering multiple download checksum failures when booting ec2 machine. This manifests itself with sporadic failures of apt, maven and npm installs. In one case that the pom checksum ...
1
vote
2answers
3k views

npm install on vagrant virtualbox

Seem to be having A LOT of trouble figuring this one out, but I'm attempting to use vagrant and provision a server that uses node / npm to install dependencies. My setup is: ubuntu 12.04 host (old ...
1
vote
1answer
296 views

Apache webserver not starting - Not sure what's wrong

I had installed apache webserver on my local machine (Linux Mint 15) and everything was working fine until I tried to install npm/nodejs. I'm getting this error whenever I try starting apache - ...
1
vote
0answers
312 views

nodejs npm dependencies fails on pump.io installation

I want to install pump.io on my debian wheezy VPS by following these steps : https://github.com/e14n/pump.io/wiki/Debian-Installation NodeJS installation is ok, but when I ask to npm for installing ...
1
vote
1answer
143 views

troubleshoot puppet install order

My puppet agent run fails initially, then succeeds on the second run. I understand that it probably has to do with my execution order, and a dependency is being added later on in the execution ...
0
votes
1answer
2k views

How to use a different version of python duing NPM install?

Salam (means Hello) :) I have terminal access to a VPS running centos 5.9 and default python 2.4.3 installed. I also installed python 2.7.3 via these commands: (I used make altinstall instead of make ...
2
votes
1answer
2k views

Offline install of npm package

I've got a script that automatically installs some npm packages (specifically karma, which I'd like to install with --global) on an EC2 instance on startup. The problem is that npm sometimes randomly ...
1
vote
1answer
3k views

ENOENT errors when running npm inside vagrant shell provision

Have a project with the following package.json file: { "name": "requirejs-library-skeleton", "description": "RequireJS skeleton for modern JS libraries.", "version": "0.2.0", ...
-1
votes
1answer
55 views

Bash syntax, square brackets and -d option

I have this command in bash: [ -d node_modules/phantomjs ] || npm install -g phantomjs I am not sure what it means in plain English... Can anyone please advise?
1
vote
0answers
602 views

private github repo in package.json breaking azure website deployment

Trying to deploy an Express app on an Azure "web site" through Github. I have a private repository in package.json dependencies: "dependencies": { "express: "~3.4.0", ... "private-repo": ...
4
votes
1answer
7k views

The following packages have unmet dependencies: nodejs : Conflicts: npm

I followed this gist https://gist.github.com/Goddard/5500157 to install nodejs and npm, but after running it neither node --version or npm --version could be ran, giving an error of command not found. ...
1
vote
1answer
199 views

NPM fails to install Socket.io does it need x-server?

I was trying to install socket.io on my linux server using NPM root@camdev01-dev:# npm install socket.io (npm:22742): Gtk-WARNING **: cannot open display: OS:ubuntu.11.10 server
4
votes
1answer
3k views

npm install, but can't run

I'm a newbie to Node, but I've been trying to install some npm modules and after what seems like a successful install, I can't run the new app. I must have some basic config error, like a missing ...
3
votes
1answer
1k views

Why can't I install modules via NPM unless I'm root?

I'm using the latest version of stable node.js (0.8.19) $cd ~/downloads/node $./configure $make $sudo make install Doing this installed node.js Now, when I go to: $cd ~/myproject/node_modules ...